# -*- coding: cp1252 -*-
#
# Extrait de l'nterface de pilotage en tension du systme de commande de
# moteur  courant continu de 3Sigma: 
# http://boutique.3sigma.fr/23-commande-de-moteur-%C3%A9lectrique.html
#
# Auteur: 3Sigma
# Version 1.0 - 04/11/2013

import serial


# Paramtrage du port srie
# IMPORTANT: METTRE LES BONNES VALEURS POUR LE baudrate ET LE port
ser = serial.Serial()
ser.baudrate = 115200
ser.timeout = 0.25
ser.port = 'COM15'

try:
    # Tentative d'ouverture du port
    ser.open()
    tsint = 1
    x1 = 2
    x2 = 3
    x3 = 4
    crc = tsint + x1 + x2 + x3
    dataToSend = str(tsint) + "," + str(x1) + "," + str(x2) + "," + str(x3) + "," + str(crc) + "\n"

    while True:                
        ser.write(dataToSend)

except:
    # Partie excute si l'ouverture du port a chou
    # Log de l'vnement
    print "Echec  l\'ouverture du port "
    pass

